IE 10 and FF 20 compatible !!!!! Rated 5 out of 5 stars

Funktioniert auch mit IE 10 und FF 20 ohne Probleme.

This review is for a previous version of the add-on (4.12.22.2).